Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 447365 - Review Request: llgal - generates static web-pages
Summary: Review Request: llgal - generates static web-pages
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: noarch
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-05-19 17:38 UTC by Richard
Modified: 2008-12-19 21:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-19 21:36:35 UTC


Attachments (Terms of Use)

Description Richard 2008-05-19 17:38:58 UTC
Spec URL: http://www.nerux.org/pdf/llgal.spec
SRPM URL: http://www.nerux.org/pdf/llgal-0.13.15-1.fc9.i386.rpm
Description: llgal is an easy and fast on-line gallery generator based on iGal.
Its primary goal is to NOT require any boring useless expensive feature
in your webserver, such as PHP, JavaScript, SQL, ... Thus, 
llgal generates static web-pages.

Comment 1 Rakesh Pandit 2008-08-16 20:22:51 UTC
License field should be GPLv2+

rpmlint -i output
[rpmbuild@rocky llgal]$ rp -i llgal-0.13.15-1.fc9.i386.rpm 
llgal.i386: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/locale/fr/LC_MESSAGES/llgal.mo
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/llgal/llgal.css
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/locale/de/LC_MESSAGES/llgal.mo
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/llgal/indextemplate.html
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: W: siteperl-in-perl-module /usr/lib/perl5/site_perl/5.10.0/Llgal/Utils.pm
This perl module package installs files under the subdirectory site_perl,
while they must appear under vendor_perl.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/locale/it/LC_MESSAGES/llgal.mo
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: W: hidden-file-or-dir /usr/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi/auto/Llgal/.packlist
The file or directory is hidden. You should see if this is normal, and delete
it from the package if not.

llgal.i386: W: perl-temp-file /usr/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi/auto/Llgal/.packlist
You have a perl temporary file in your package. Usually, this file is
beginning with a dot (.) and contain "perl" in its name.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/locale/en/LC_MESSAGES/llgal.mo
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: W: siteperl-in-perl-module /usr/lib/perl5/site_perl/5.10.0/Llgal/Config.pm
This perl module package installs files under the subdirectory site_perl,
while they must appear under vendor_perl.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/llgal/slidetemplate.html
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: W: perl-temp-file /usr/lib/perl5/5.10.0/i386-linux-thread-multi/perllocal.pod
You have a perl temporary file in your package. Usually, this file is
beginning with a dot (.) and contain "perl" in its name.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/llgal/tile.png
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/llgal/index.png
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: W: siteperl-in-perl-module /usr/lib/perl5/site_perl/5.10.0/Llgal/Messages.pm
This perl module package installs files under the subdirectory site_perl,
while they must appear under vendor_perl.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/llgal/next.png
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/llgal/captions.header
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/bin/llgal
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: E: dir-or-file-in-usr-local /usr/local/share/llgal/prev.png
A file in the package is located in /usr/local. It's not permitted for
packages to install files in this directory.

llgal.i386: W: siteperl-in-perl-module /usr/lib/perl5/site_perl/5.10.0/Llgal/Templates.pm
This perl module package installs files under the subdirectory site_perl,
while they must appear under vendor_perl.

llgal.i386: W: summary-not-capitalized llgal generates static web-pages.
Summary doesn't begin with a capital letter.

llgal.i386: W: summary-ended-with-dot llgal generates static web-pages.
Summary ends with a dot.

llgal.i386: W: non-standard-group Graphismes
The value of the Group tag in the package is not valid.  Valid groups are:
"Amusements/Games", "Amusements/Graphics", "Applications/Archiving",
-------------


llgal.i386: W: invalid-license GNU General Public License V2
The value of the License tag was not recognized.  Known values are: "Adobe",
---------

llgal.i386: W: invalid-license later
The value of the License tag was not recognized.  Known values are: "Adobe",
"ADSL", "AFL", "AGPLv1", "AGPLv3", "AMPAS BSD", "ARL", "ASL 1.0", "ASL 1.0+",
"ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "APSL 2.0", "APSL 2.0+",
------------

llgal.i386: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

llgal.i386: W: file-not-in-%lang /usr/local/share/locale/de/LC_MESSAGES/llgal.mo
llgal.i386: W: file-not-in-%lang /usr/local/share/locale/en/LC_MESSAGES/llgal.mo
llgal.i386: W: file-not-in-%lang /usr/local/share/locale/fr/LC_MESSAGES/llgal.mo
llgal.i386: W: file-not-in-%lang /usr/local/share/locale/it/LC_MESSAGES/llgal.mo
1 packages and 0 specfiles checked; 14 errors, 17 warnings.

Comment 2 Rakesh Pandit 2008-09-03 14:16:01 UTC
ping

Comment 3 Richard 2008-09-03 20:19:46 UTC
I've receive your mail, I work actually to repair your demand.

Comment 4 Richard 2008-09-06 14:48:54 UTC
I put the file online :
Spec URL: http://www.nerux.org/pdf/llgal.spec
SRPM URL: http://www.nerux.org/pdf/llgal-0.13.15-1.fc9.noarch.i386.rpm

Comment 5 Rakesh Pandit 2008-09-29 12:30:00 UTC
For every update you should increment the release tag with updated changelog - reporting all changes you made there. 

Is this your first package ?

If yes please put FE-NEEDSPONSOR in depends on field.
You may like to do some unofficial reviews or even package new ones so as to help yourself to be sponsored.

Check http://fedoraproject.org/wiki/PackageMaintainers/Join for details

Thanks

Comment 6 Richard 2008-09-29 17:19:24 UTC
Sorry,

Spec URL: http://www.nerux.org/pdf/llgal.spec
SRPM URL: http://www.nerux.org/pdf/llgal-0.13.15-2.fc9.noarch.i386.rpm

Thanks

Comment 7 manuel wolfshant 2008-09-29 17:25:40 UTC
richard, ditch the %{release} define before anyone else sees it. That's EXACTLY what the existing disttag does (https://fedoraproject.org/wiki/Packaging/DistTag ). Mind the additional leading dot brought in by %{dist}

Comment 9 Jason Tibbitts 2008-11-06 15:26:51 UTC
I'm not sure comment #7 was followed.  Please do not define %release at all.  Also, what's the point of appending ".noarch" to Release:?  ".noarch.i386.rpm" is... not a good idea.  If you want to build a noarch package, add "BuildArch: noarch".

Please don't start the Summary: with the name of the package.
  llgal - llgal generates whatever
is rather redundant.

You need to submit a src.rpm, not a built binary package.  We need to be able to build the package you submit for ourselves.

A package cannot put things in /usr/local under any circumstances.  (Well, your personal packages can do so; that's your business.  But no packages in the distro can do so.)  If the upstream insists on that, it will need to be fixed or patched.

Don't put eval in your files list.  Just use the standard defines for Perl modules.

Use macros in your files list; instead of hardcoding /usr/bin, use %{_bindir}.

This package fails to own /usr/share/llgal.

Your files list can be much simpler in any case:
  %files
  %{_bindir}/llgal
  %{_datadir}/llgal/
  %{perl_vendorlib}/*
Or at least I think that would do it; I don't have the sources to build from in order to test.

Comment 10 Jason Tibbitts 2008-12-06 01:13:47 UTC
It's been a month since my last comment; I will close this ticket soon if there is no further progress.

Comment 11 Jason Tibbitts 2008-12-19 21:36:35 UTC
Still no response; closing.


Note You need to log in before you can comment on or make changes to this bug.